From 9669178f07e3fe0b24f8982164ff4ee218db2515 Mon Sep 17 00:00:00 2001
From: Keith Winstein <keithw@mit.edu>
Date: Wed, 27 Mar 2013 15:21:20 -0400
Subject: [PATCH 03/40] Eliminate ocb.cc test program (closes #408)

This test doesn't return an error on failure and also was triggering a
stack protector warning on some platforms. We have an end-to-end test of
OCB in src/tests/ocb-aes.cc that seems to work well.
---
 src/crypto/Makefile.am | 7 -------
 1 file changed, 7 deletions(-)

diff --git a/src/crypto/Makefile.am b/src/crypto/Makefile.am
index 995c388..3f3b138 100644
--- a/src/crypto/Makefile.am
+++ b/src/crypto/Makefile.am
@@ -15,10 +15,3 @@ libmoshcrypto_a_SOURCES = \
 	crypto.cc \
 	crypto.h \
 	prng.h
-
-check_PROGRAMS = ocb-test
-TESTS = ocb-test
-
-ocb_test_SOURCES = $(OCB_SRCS)
-ocb_test_CPPFLAGS = -DOCB_TEST_PROGRAM
-ocb_test_LDADD = $(OPENSSL_LIBS)

